Skip to content
English

Get lists of domains

GET
/system/domains
curl --request GET \
--url 'https://example.com/api/v1/system/domains?limit=50&offset=0' \
--cookie grommunioAuthJwt=<grommunioAuthJwt>
level
integer

Set detail level of return value. Usually ranges from 0 to 2.

limit
integer
default: 50

Maximum number of results to return

offset
integer
0

Index of the first element to return

match
string

Match by substring

matchFields
string

Comma separated list of attributes to restrict matching to.

sort
string
/^(ID|domainname|orgID|maxUser|title|address|adminName|tel|domainStatus)(,(a|de)sc)?$/

Sort by attribute. Can be given multiple times.

ID
Array<integer>

Filter one or more IDs

orgID
Array<integer>

Filter by one or more organization IDs

domainname
string

Filter by domainname

maxUser
Array<integer>
<= 2 items

Filter by number of maximum users

title
string

Filter by domain title

address
string

Filter by domain address property

adminName
string

Filter by admin name

tel
string

Filter by telephone number

domainStatus
Array<integer>

Filter by one or more domain status values

Data returned

Media typeapplication/json
object
data
Array
object
ID

Unique ID of the object

integer
orgID
integer
0
domainname

Name of the domain, automatically converted to IDNA format

string
<= 64 characters
displayname

Decoded unicode domain name

string
homedir
string
<= 128 characters
maxUser
integer
title
string
"" <= 128 characters
address
string
"" <= 128 characters
adminName
string
"" <= 32 characters
tel
string
"" <= 64 characters
endDay

Date string

string
/^\d{4}-\d{2}-\d{2}$/
domainStatus

Domain status (0=Normal, 1=Suspended, 2=Out Of Date, 3=Deleted)

integer
0
activeUsers
integer
inactiveUsers
integer
virtualUsers
integer
syncPolicy

Active Sync Policy overrides

object
allowbluetooth

Whether Bluetooth and hands-free profiles are allowed on the device (0=disabled, 1=allow only HFP, 2=allow)

integer
default: 2
Allowed values: 0 1 2
allowbrowser

Whether the device allows the use of a web browser.

integer
default: 1
Allowed values: 0 1
allowcam

Whether the device allows the use of the built-in camera.

integer
default: 1
Allowed values: 0 1
allowconsumeremail

Whether the device allows the use of personal email.

integer
default: 1
Allowed values: 0 1
allowdesktopsync

Whether the device allows synchronization with Desktop ActiveSync.

integer
default: 1
Allowed values: 0 1
allowhtmlemail

Whether the device uses HTML-formatted email.

integer
default: 1
Allowed values: 0 1
allowinternetsharing

Whether the device allows the use of Internet Sharing.

integer
default: 1
Allowed values: 0 1
allowirda

Whether the device allows the use of IrDA (infrared) connections.

integer
default: 1
Allowed values: 0 1
allowpopimapemail

Whether the device allows access to POP/IMAP email.

integer
default: 1
Allowed values: 0 1
allowremotedesk

Whether the device allows the use of Remote Desktop.

integer
default: 1
Allowed values: 0 1
allowsimpledevpw

Whether the device allows simple passwords.

integer
default: 1
Allowed values: 0 1
allowsmimeencalgneg

Whether the device can negotiate the encryption algorithm to be used for signing (0=not allowed, 1=only strong, 2=any)

integer
default: 2
Allowed values: 0 1 2
allowsmimesoftcerts

Whether the device uses soft certificates to sign outgoing messages.

integer
default: 1
Allowed values: 0 1
allowstoragecard

Whether the device allows the use of the storage card.

integer
default: 1
Allowed values: 0 1
allowtextmessaging

Whether the device allows Short Message Service (SMS)/text messaging.

integer
default: 1
Allowed values: 0 1
allowunsignedapps

Whether the device allows unsigned applications to execute.

integer
default: 1
Allowed values: 0 1
allowunsigninstallpacks

Whether the device allows unsigned cabinet (.cab) files to be installed.

integer
default: 1
Allowed values: 0 1
allowwifi

Whether the device allows the use of Wi-Fi connections.

integer
default: 1
Allowed values: 0 1
alphanumpwreq

Indicates whether a client device requires an alphanumeric password.

integer
0
Allowed values: 0 1
approvedapplist

A list of in-RAM applications that are approved for execution.

Array<string>
default:
attenabled

Indicates whether email attachments are enabled.

integer
default: 1
Allowed values: 0 1
devencenabled

Deprecated, kept for backwards compatibility

integer
0
Allowed values: 0 1
devpwenabled

Indicates whether a client device requires a password.

integer
0
Allowed values: 0 1
devpwexpiration

Whether the password expires after the specified number of days, as determined by the policy (0=unlimited).

integer
0
devpwhistory

The minimum number of previously used passwords the client device stores to prevent reuse (0=no storage).

integer
0
maxattsize
One of:

Unlimited attachment size

string
""
Allowed values: ""
maxcalagefilter

The maximum number of calendar days that can be synchronized (0=unlimited, 4=2 weeks, 5=1 month, 6=3 months, 7=6 months)

integer
0
Allowed values: 0 4 5 6 7
maxdevpwfailedattempts

The number of password failures that are permitted before the device is wiped.

integer
default: 8 >= 4 <= 16
maxemailagefilter

The email age limit for synchronization (0=all, 1=1 day, 2=3 days, 3=1 week, 4=2 weeks, 5=1 month)

integer
0
Allowed values: 0 1 2 3 4 5
maxemailbodytruncsize

The truncation size for plain text-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)

integer
default: -1
maxemailhtmlbodytruncsize

The truncation size for HTML-formatted email messages (-1=unlimited, 0=header only, >0=truncate to size)

integer
default: -1
maxinacttimedevlock

The number of seconds of inactivity before the device locks itself (>9999=unlimited)

integer
default: 900
mindevcomplexchars

The minimum number of character classes (lower case, upper case, numbers and symbols) contained within the password.

integer
default: 3 >= 1 <= 4
mindevpwlenngth

The minimum device password length that the user can enter (1=unlimited).

integer
default: 4 >= 1 <= 16
pwrecoveryenabled

Indicates whether to enable a recovery password to be sent to the server by using the Settings command.

integer
0
Allowed values: 0 1
reqdevenc

Whether the device uses encryption.

integer
0
Allowed values: 0 1
reqencsmimealgorithm

The algorithm to be used when encrypting a message (0=TripleDES, 1=DES, 2=RC2128bit, 3=RC264bit, 4=RC240bit)

integer
0
Allowed values: 0 1 2 3 4
reqencsmimemessages

Whether the device is required to send encrypted messages.

integer
0
Allowed values: 0 1
reqmansyncroam

Whether the device requires manual synchronization when the device is roaming.

integer
0
Allowed values: 0 1
reqsignedsmimealgorithm

The algorithm to be used when signing a message (0=SHA1, 1=MD5)

integer
0
Allowed values: 0 1
reqsignedsmimemessages

Whether the device is required to send signed S/MIME messages.

integer
0
Allowed values: 0 1
reqstoragecardenc

Require encryption on storage card (0=no, 1=yes)

integer
0
unapprovedinromapplist

A list of in-ROM applications that are not approved for execution.

Array<string>
default:
chat

Whether chat is enabled for this domain

boolean
homeserver
object
ID

Unique ID of the object

integer
hostname

Internal hostname of the server

string
Example
{
"data": [
{
"orgID": 0,
"title": "",
"address": "",
"adminName": "",
"tel": "",
"domainStatus": 0,
"syncPolicy": {
"allowbluetooth": 0,
"allowbrowser": 0,
"allowcam": 0,
"allowconsumeremail": 0,
"allowdesktopsync": 0,
"allowhtmlemail": 0,
"allowinternetsharing": 0,
"allowirda": 0,
"allowpopimapemail": 0,
"allowremotedesk": 0,
"allowsimpledevpw": 0,
"allowsmimeencalgneg": 0,
"allowsmimesoftcerts": 0,
"allowstoragecard": 0,
"allowtextmessaging": 0,
"allowunsignedapps": 0,
"allowunsigninstallpacks": 0,
"allowwifi": 0,
"alphanumpwreq": 0,
"approvedapplist": [],
"attenabled": 0,
"devencenabled": 0,
"devpwenabled": 0,
"devpwexpiration": 0,
"devpwhistory": 0,
"maxattsize": "",
"maxcalagefilter": 0,
"maxdevpwfailedattempts": 8,
"maxemailagefilter": 0,
"maxemailbodytruncsize": -1,
"maxemailhtmlbodytruncsize": -1,
"maxinacttimedevlock": 900,
"mindevcomplexchars": 3,
"mindevpwlenngth": 4,
"pwrecoveryenabled": 0,
"reqdevenc": 0,
"reqencsmimealgorithm": 0,
"reqencsmimemessages": 0,
"reqmansyncroam": 0,
"reqsignedsmimealgorithm": 0,
"reqsignedsmimemessages": 0,
"reqstoragecardenc": 0,
"unapprovedinromapplist": []
}
}
]
}

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}